complexType "PartyRelationship"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference?, accountReference?, role?, type?, effectiveDate?, terminationDate?, documentation?
</...>

Content Model Elements (7):

  accountReference (defined in PartyAndAccountReferences.model group),
  documentation (in relatedParty defined in Party complexType),
  effectiveDate (in relatedParty defined in Party complexType),
  partyReference (defined in PartyAndAccountReferences.model group),
  role (in relatedParty defined in Party complexType),
  terminationDate (in relatedParty defined in Party complexType),
  type (in relatedParty defined in Party complexType)

All Direct / Indirect Based Elements (1):

  relatedParty (defined in Party complexType)

Known Usage Locations

- As direct type of elements (1):
  relatedParty (defined in Party complexType)

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="PartyRelationship"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="role" type="PartyRole"/> <xsd:element minOccurs="0" name="type" type="PartyRoleType"/> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/> <xsd:element minOccurs="0" name="terminationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="documentation" type="PartyRelationshipDocumentation"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/7)
documentation

  Type: | PartyRelationshipDocumentation, complex content

  Describes the agreements that define the party relationship.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="documentation" type="PartyRelationshipDocumentation"/>

effectiveDate

  Type: | xsd:date, predefined, simple content

  The date on which the relationship begins or began.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/>

role

  Type: | PartyRole, simple content

  The category of the relationship. The related party performs the role specified in this field for the base party. For example, if the role is "Guarantor", the related party acts as a guarantor for the base party.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="role" type="PartyRole"/>

terminationDate

  Type: | xsd:date, predefined, simple content

  The date on which the relationship ends or ended.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="xsd:date"/>

type

  Type: | PartyRoleType, simple content

  Additional definition refining the type of relationship. For example, if the "role" is Guarantor, this element may be used to specify whether all positions are guaranteed, or only a subset of them.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="PartyRoleType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.